Skip to content
ShopentlyLearn

Delete unused article authors

Delete unused article authors

DELETE/api/v1/addons/shopently.blog/authors/{author_id}

cURL request

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request DELETE \
  --url 'https://shop.onshopently.com/api/v1/addons/shopently.blog/authors/341494e0-caab-4f47-a8ff-f6795c42a775?expected_version=2' \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: learn-29e6b93501a347b7a5805c0608106542'

Response

{
  "data": {
    "deleted": true,
    "id": "341494e0-caab-4f47-a8ff-f6795c42a775"
  },
  "meta": {
    "request_id": "b4fdf622-282c-4788-8e6f-7d5eae94ed36"
  }
}

Required permissions

Authentication
Access token
Available from
BASIC
Key permission
Delete unused article authorsaddon.shopently.blog:author_delete
Required installed module

shopently.blog